##
##  gle.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_dist   4.2.4f
%define       V_subdir 4.2.4

#   package information
Name:         gle
Summary:      Graphics Layout Engine (GLE)
URL:          http://www.gle-graphics.org/
Vendor:       Chris Pugmire et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Diagram
License:      BSD
Version:      %{V_dist}
Release:      20120623

#   list of sources
Source0:      http://download.sourceforge.net/glx/gle-graphics-%{version}-src.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, infozip, gcc, make
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  jpeg, png, tiff
PreReq:       jpeg, png, tiff

%description
    GLE is a graphics language that produces PostScript, EPS, PDF, PNG,
    or JPG ouput from a simple script file. The GLE scripting language
    is full featured with variables, subroutines, logic control,
    looping, and graphing tools. It is great for plotting and charting
    data. GLE can create very complex output with text and graphics
    (including graphs and charts) from a simple plain text file.

%track
    prog gle = {
        version   = %{version}
        url       = http://www.gle-graphics.org/downloads/downloads.html
        regex     = gle-graphics-(__VER__)-src\.tar\.gz
    }

%prep
    %setup -q -n gle-graphics-%{V_subdir}

%build
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    CPPFLAGS="%{l_cppflags tiff .}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --without-x \
        --without-qt \
        --with-jpeg=%{l_prefix} \
        --with-png=%{l_prefix} \
        --with-tiff=%{l_prefix}
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

